Subject: Re: git-archive and tar options

From: René Scharfe <[email-masked]>
Date: Tue, 19 Jul 2011 19:56:29 +0200

Am 19.07.2011 02:12, schrieb Neal Kreitzinger:
> On 7/18/2011 3:50 PM, René Scharfe wrote:
>> Am 18.07.2011 20:13, schrieb Neal Kreitzinger:
>>> However, the permissions also need to change to 777 and tar --mode would
>>> not effect this in combination with --catenation or -x.  Is there a way
>>> I can change the permissions without having to untar->chmod->retar, and
>>> without having to use a non-bare repo as an intermediary?
>>
>> You can use the configuration setting tar.umask to affect the
>> permissions of the archive entries.  Set it to 0 to pass the permission
>> bits from the repo unchanged.
>>
> The permissions in my repo are 775 and 664 and I want to change them to
> 777.

Git doesn't store all permission bits.  If a file is marked as
executable then you get 777, otherwise 666 -- minus the umask, which is
0002 by default.  So in order to achive rwx permissions for all in the
archive, you need to A) mark the files as executable in the repository
and B) set tar.umask to 0 to get allow the world to write.

However, what's the reason for requiring this lack of access control?
Why o+w?

René